// Fig 3 from Milanova et al.
class X { }
class Y { 
      X f;
      void set(X x) { this.f = x; }

    static public void main(String[] args) /*throws Exception*/ {
            X a = new X();
	    X b = new X();

	    Y c = new Y();
	    Y d = new Y();
	    
	    c.set(a);
	    d.set(b);
      }
}
